Skip to main content
GET
/
valorant
/
v1
/
esports
/
schedule
cURL
curl --request GET \
  --url https://api.henrikdev.xyz/valorant/v1/esports/schedule
import requests

url = "https://api.henrikdev.xyz/valorant/v1/esports/schedule"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.henrikdev.xyz/valorant/v1/esports/schedule', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "date": "<string>",
      "league": {
        "icon": "<string>",
        "identifier": "<string>",
        "name": "<string>",
        "region": "<string>"
      },
      "match": {
        "game_type": {
          "count": 123,
          "type": "<string>"
        },
        "teams": [
          {
            "code": "<string>",
            "game_wins": 123,
            "has_won": true,
            "icon": "<string>",
            "name": "<string>",
            "record": {
              "losses": 123,
              "wins": 123
            }
          }
        ],
        "id": "<string>"
      },
      "state": "<string>",
      "tournament": {
        "name": "<string>",
        "season": "<string>"
      },
      "type": "<string>",
      "vod": "<string>"
    }
  ],
  "status": 1
}
{
  "errors": [
    {
      "code": 1,
      "message": "<string>",
      "status": 1,
      "details": "<unknown>"
    }
  ]
}
{
  "errors": [
    {
      "code": 1,
      "message": "<string>",
      "status": 1,
      "details": "<unknown>"
    }
  ]
}
{
  "errors": [
    {
      "code": 1,
      "message": "<string>",
      "status": 1,
      "details": "<unknown>"
    }
  ]
}

Query Parameters

region
string | null
league
string | null

Response

Esports schedule retrieved successfully

data
object[]
required
status
integer<int32>
required
Required range: x >= 0